> ## Documentation Index
> Fetch the complete documentation index at: https://gologin.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh profile fingerprint

> Refreshes fingerprints for the profiles. It will change profile fingerprint with new random one or from template



## OpenAPI

````yaml https://docs-download.gologin.com/openapi.json patch /browser/fingerprints
openapi: 3.0.0
info:
  title: GoLogin
  description: ''
  version: '1.0'
  contact: {}
servers:
  - url: https://api.gologin.com
security: []
tags:
  - name: Profile
    description: >-
      Profile is a main entity of the application. It stores all the information
      that needs to be saved in browser to change your fingerprint.
  - name: Proxy
    description: >-
      Proxy in Gologin is a separate entity that belongs to a profile but also
      can be managed separately for convinience.
  - name: Share
    description: This feature allows you to give an access to your profiles to other users.
  - name: Workspace
    description: >-
      Workspace is a group of profiles and users that can manage those
      profiles.        This feature helps a lot with a team collaboration
      because you can granually control permissions for each user.
  - name: Tags
    description: Tags are a way to categorize profiles.
paths:
  /browser/fingerprints:
    patch:
      tags:
        - Profile
      summary: Refresh profile fingerprint
      description: >-
        Refreshes fingerprints for the profiles. It will change profile
        fingerprint with new random one or from template
      operationId: BrowserController_updateFingerprints
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IBrowserFingerprintPartialValidation'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/OBrowserListDTO'
      security:
        - bearer: []
components:
  schemas:
    IBrowserFingerprintPartialValidation:
      type: object
      properties:
        browsersIds:
          description: Array of profile IDs that you want to update.
          example:
            - 6200f55e7685342e170dc531
          type: array
          items:
            type: string
      required:
        - browsersIds
    OBrowserListDTO:
      type: object
      properties:
        name:
          type: string
        role:
          type: string
        id:
          type: string
        notes:
          type: string
        browserType:
          type: string
        lockEnabled:
          type: boolean
        timezone:
          type: object
        navigator:
          $ref: '#/components/schemas/NavigatorModel'
        geolocation:
          type: object
        debugMode:
          type: boolean
        isM1:
          type: boolean
        isPinned:
          type: boolean
        updateUALastChosenBrowserV:
          type: string
        canBeRunning:
          type: boolean
        isRunDisabled:
          type: boolean
        runDisabledReason:
          type: string
          enum:
            - unpaid-share
        isRunning:
          type: boolean
        isWeb:
          type: boolean
        os:
          type: object
        osSpec:
          type: object
        proxy:
          type: object
        host:
          type: string
        port:
          type: number
        proxyType:
          type: string
        proxyRegion:
          type: string
        status:
          type: string
        folders:
          type: array
          items:
            type: string
        sharedEmails:
          type: array
          items:
            type: string
        shareId:
          type: string
        createdAt:
          format: date-time
          type: string
          description: Date string
        updatedAt:
          format: date-time
          type: string
          description: Date string
        lastActivity:
          format: date-time
          type: string
          description: Date string
        chromeExtensions:
          type: array
          items:
            type: string
        userChromeExtensions:
          type: array
          items:
            type: string
        tags:
          type: array
          items:
            type: string
        permissions:
          $ref: '#/components/schemas/ProfilePermissionsDTO'
        proxyEnabled:
          type: boolean
        isAutoGenerated:
          type: boolean
        isBookmarksSynced:
          type: boolean
        defaultProps:
          $ref: '#/components/schemas/IDefaultProfilePropsDTO'
        autoLang:
          type: boolean
        remoteOrbitaUrl:
          type: string
        webGLMetadata:
          $ref: '#/components/schemas/WebGlMetadataModel'
        fonts:
          $ref: '#/components/schemas/FontsModel'
        facebookAccountData:
          $ref: '#/components/schemas/ParsedFacebookDataDTO'
        order:
          type: number
      required:
        - name
        - role
        - id
        - notes
        - browserType
        - lockEnabled
        - timezone
        - navigator
        - geolocation
        - debugMode
        - canBeRunning
        - isRunning
        - proxy
        - proxyType
        - proxyRegion
        - createdAt
        - updatedAt
        - lastActivity
        - userChromeExtensions
        - permissions
        - remoteOrbitaUrl
        - webGLMetadata
    NavigatorModel:
      type: object
      properties:
        userAgent:
          type: string
          description: >-
            The most important parameter of the browser.It decides which browser
            version will be used. It is not recommended to change it by yourself
          example: >-
            Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36
            (KHTML, like Gecko) Chrome/134.0.6998.36 Safari/537.36
        resolution:
          type: string
          description: >-
            Maximum resolution of the browser, should not exceed your system
            maximum resolution
          example: 1920x1080
        language:
          type: string
          description: >-
            Language of the browser. If autoLang is enabled - this option will
            be ignored.
          example: en-US
        platform:
          type: string
          description: >-
            It is internal browser parameter. "Win32", "MacIntel" - desktop,
            "Linux armv81", "Linux aarch64", "Linux armv8l", "Linux armv7l" -
            mobile. For mac os it is always "MacIntel" even for arm.
          enum:
            - Win32
            - MacIntel
            - Linux armv81
            - Linux aarch64
            - Linux x86_64
            - Linux armv8l
            - Linux armv7l
          example: Win32
        hardwareConcurrency:
          type: number
          description: Number of processor cores of the system.
          example: 4
        deviceMemory:
          type: number
          description: Number of operating system memory in gigabytes.
          example: 4
        maxTouchPoints:
          type: number
          description: >-
            Maximum number of simultaneous touch contact points supported by the
            device. Its particularly relevant for touch       - enabled devices
            like smartphones, tablets, and touchscreen laptops.
          example: 10
      required:
        - userAgent
        - resolution
        - language
        - platform
    ProfilePermissionsDTO:
      type: object
      properties:
        transferProfile:
          type: boolean
        transferToMyWorkspace:
          type: boolean
        shareProfile:
          type: boolean
        manageFolders:
          type: boolean
        editProfile:
          type: boolean
        deleteProfile:
          type: boolean
        cloneProfile:
          type: boolean
        exportProfile:
          type: boolean
        updateUA:
          type: boolean
        addVpnUfoProxy:
          type: boolean
        runProfile:
          type: boolean
        runProfileWeb:
          type: boolean
        viewProfile:
          type: boolean
        addProfileTag:
          type: boolean
        removeProfileTag:
          type: boolean
        viewShareLinks:
          type: boolean
        createShareLinks:
          type: boolean
        updateShareLinks:
          type: boolean
        deleteShareLinks:
          type: boolean
        viewCustomExtensions:
          type: boolean
      required:
        - transferProfile
        - transferToMyWorkspace
        - shareProfile
        - manageFolders
        - editProfile
        - deleteProfile
        - cloneProfile
        - exportProfile
        - updateUA
        - addVpnUfoProxy
        - runProfile
        - runProfileWeb
        - viewProfile
        - addProfileTag
        - removeProfileTag
        - viewShareLinks
        - createShareLinks
        - updateShareLinks
        - deleteShareLinks
        - viewCustomExtensions
    IDefaultProfilePropsDTO:
      type: object
      properties:
        profileNameIsDefault:
          type: boolean
        profileNotesIsDefault:
          type: boolean
      required:
        - profileNameIsDefault
        - profileNotesIsDefault
    WebGlMetadataModel:
      type: object
      properties:
        vendor:
          type: string
          description: >-
            The WebGL vendor string to use in the browser profile. This
            identifies the GPU vendor.
          example: Google Inc. (Intel)
        renderer:
          type: string
          description: >-
            The WebGL renderer string to use in the browser profile. This
            identifies the specific GPU model and rendering API.
          example: >-
            ANGLE (Intel, Intel(R) HD Graphics 630 Direct3D11 vs_5_0 ps_5_0,
            D3D11)
        mode:
          type: string
          default: mask
          enum:
            - mask
            - 'off'
          description: >-
            Controls the WebGL metadata mode. "mask" - Masks WebGL vendor and
            renderer information. "off" - Disables WebGL metadata masking.
          example: mask
    FontsModel:
      type: object
      properties:
        families:
          description: Array that tells the browser which fonts it can use.
          example:
            - Arial
            - Helvetica
            - Verdana
          type: array
          items:
            type: string
        enableMasking:
          type: boolean
          default: true
          description: >-
            A font fingerprinting protection feature that helps prevent websites
            from identifying users through font enumeration and detection.
          example: true
        enableDomRect:
          type: boolean
          default: true
          description: >-
            A companion setting to enableMasking that specifically protects
            against a technique called "DOM rect fingerprinting".
          example: true
      required:
        - families
    ParsedFacebookDataDTO:
      type: object
      properties:
        date:
          type: string
        token:
          type: string
        fbIdAccount:
          type: string
        email:
          type: string
        password:
          type: string
        googleDriveUrl:
          type: string
        fb2faToolUrl:
          type: string
        fbUrl:
          type: string
        uaVersion:
          type: string
        cookies:
          type: string
        notParsedData:
          type: array
          items:
            type: string
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````